AWS IoT Device SDK C++ v2: Aws::Crt::Auth::Credentials Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Crt::Auth::Credentials Class Reference

`#include <Credentials.h>`

## Public Member Functions
| Credentials (const aws_credentials *credentials) noexcept
| Credentials (ByteCursor access_key_id, ByteCursor secret_access_key, ByteCursor session_token, uint64_t expiration_timepoint_in_seconds, Allocator *allocator=g_allocator) noexcept
| ~Credentials ()
| Credentials (const Credentials &)=delete
| Credentials (Credentials &&)=delete
Credentials & | operator= (const Credentials &)=delete
Credentials & | operator= (Credentials &&)=delete
ByteCursor | GetAccessKeyId () const noexcept
ByteCursor | GetSecretAccessKey () const noexcept
ByteCursor | GetSessionToken () const noexcept
uint64_t | GetExpirationTimepointInSeconds () const noexcept
| operator bool () const noexcept
const aws_credentials * | GetUnderlyingHandle () const noexcept

## Detailed Description

A class to hold the basic components necessary for various AWS authentication protocols.

## Constructor & Destructor Documentation

## ◆ Credentials() [1/4]

Aws::Crt::Auth::Credentials::Credentials | ( | const aws_credentials * | credentials | ) |
| noexcept

## ◆ Credentials() [2/4]

Aws::Crt::Auth::Credentials::Credentials | ( | ByteCursor | access_key_id,
|  | ByteCursor | secret_access_key,
|  | ByteCursor | session_token,
|  | uint64_t | expiration_timepoint_in_seconds,
|  | Allocator * | allocator = `g_allocator`
| ) |  |
| noexcept

## ◆ ~Credentials()

Aws::Crt::Auth::Credentials::~Credentials | ( |  | ) |

## ◆ Credentials() [3/4]

Aws::Crt::Auth::Credentials::Credentials | ( | const Credentials & |  | ) |
| delete

## ◆ Credentials() [4/4]

Aws::Crt::Auth::Credentials::Credentials | ( | Credentials && |  | ) |
| delete

## Member Function Documentation

## ◆ GetAccessKeyId()

ByteCursor Aws::Crt::Auth::Credentials::GetAccessKeyId | ( |  | ) | const
| noexcept

Gets the value of the access key component of aws credentials

## ◆ GetExpirationTimepointInSeconds()

uint64_t Aws::Crt::Auth::Credentials::GetExpirationTimepointInSeconds | ( |  | ) | const
| noexcept

Gets the expiration timestamp for the credentials, or UINT64_MAX if no expiration

## ◆ GetSecretAccessKey()

ByteCursor Aws::Crt::Auth::Credentials::GetSecretAccessKey | ( |  | ) | const
| noexcept

Gets the value of the secret access key component of aws credentials

## ◆ GetSessionToken()

ByteCursor Aws::Crt::Auth::Credentials::GetSessionToken | ( |  | ) | const
| noexcept

Gets the value of the session token of aws credentials

## ◆ GetUnderlyingHandle()

const aws_credentials * Aws::Crt::Auth::Credentials::GetUnderlyingHandle | ( |  | ) | const
| inlinenoexcept

Returns the underlying credentials implementation.

## ◆ operator bool()

Aws::Crt::Auth::Credentials::operator bool | ( |  | ) | const
| explicitnoexcept

Validity check - returns true if the instance is valid, false otherwise

## ◆ operator=() [1/2]

Credentials & Aws::Crt::Auth::Credentials::operator= | ( | const Credentials & |  | ) |
| delete

## ◆ operator=() [2/2]

Credentials & Aws::Crt::Auth::Credentials::operator= | ( | Credentials && |  | ) |
| delete

The documentation for this class was generated from the following files:

- crt/aws-crt-cpp/include/aws/crt/auth/Credentials.h
- crt/aws-crt-cpp/source/auth/Credentials.cpp